Skip to Content
veriom

Reject intent draft

POST
/v1/workspaces/{workspace_id}/architecture-intent/versions/{version_id}/reject

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
version_id*Version Id
Formatuuid

Request Body

application/json
  1. body
expected_revision*Expected Revision
Range1 <= value
reason*Reason
Length1 <= length <= 4000

Response Body

Successful Response

application/json
  1. response
base_snapshot_id*|null
base_version_id*|null
content_sha256*Content Sha256
created_at*Created At
Formatdate-time
created_by*Created By
Formatuuid
created_by_name*Created By Name
document*
id*Id
Formatuuid
is_current?Is Current
Defaultfalse
newer_snapshot_id?|

For a draft: the newest complete snapshot in its scope that is newer than the snapshot it was adopted from. Drafts are never rebased onto it automatically.

published_number*integer|null
ratification_reason*string|null
ratified_at*|null
ratified_by*|null
ratified_by_name*string|null
ratified_by_role?|

The workspace role the ratifier acted with; null before it was recorded.

revision*Revision
scope_key*Scope Key
state*State
Value in"draft""ratified""rejected"
updated_at*Updated At
Formatdate-time
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/reject' \  -H 'Content-Type: application/json' \  -d '{  "expected_revision": 1,  "reason": "string"}'
Example Response
{  "base_snapshot_id": "d92de3d8-b118-4dde-98df-eefefc575163",  "base_version_id": "330601a7-a4c3-4e92-beac-4d56d32a4b5d",  "content_sha256": "string",  "created_at": "2019-08-24T14:15:22Z",  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",  "created_by_name": "string",  "document": {    "closed_scope": false,    "decisions": [      {        "accepted_tradeoff": "",        "conditions": [          {            "id": "string",            "predicates": [              {                "allowed_source_keys": [                  "string"                ],                "attribute": "string",                "expected": "string",                "key": "string",                "kind": "entity_present",                "relationship_kinds": [                  "string"                ],                "required_sources": [                  "code"                ]              }            ],            "title": "string"          }        ],        "decision": "string",        "expires_at": "2019-08-24T14:15:22Z",        "guardrails": [          {            "id": "string",            "predicates": [              {                "allowed_source_keys": [                  "string"                ],                "attribute": "string",                "expected": "string",                "key": "string",                "kind": "entity_present",                "relationship_kinds": [                  "string"                ],                "required_sources": [                  "code"                ]              }            ],            "title": "string"          }        ],        "id": "string",        "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",        "provenance": [          {            "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",            "content_sha256": "string",            "evidence_ids": [              "973ab5a6-b373-447d-ab9d-bdb660b35afc"            ],            "kind": "editor",            "observed_at": "2019-08-24T14:15:22Z",            "source_ref": "string",            "source_revision": "string"          }        ],        "rationale": "string",        "review_at": "2019-08-24T14:15:22Z",        "subject_keys": [          "string"        ],        "supporting_keys": [          "string"        ]      }    ],    "elements": [      {        "description": "",        "disposition": "intended",        "entity_kind": "string",        "key": "string",        "kind": "entity",        "name": "string",        "origin": "observed",        "relationship_kind": "string",        "required_sources": [          "code"        ],        "source_key": "string",        "target_key": "string"      }    ],    "flows": [      {        "description": "string",        "id": "string",        "name": "string",        "requirement_ref": "string",        "transitions": [          {            "description": "string",            "direction": "source-to-destination",            "relationship_key": "string",            "sequence": 0          }        ]      }    ],    "invariants": [      {        "id": "string",        "predicates": [          {            "allowed_source_keys": [              "string"            ],            "attribute": "string",            "expected": "string",            "key": "string",            "kind": "entity_present",            "relationship_kinds": [              "string"            ],            "required_sources": [              "code"            ]          }        ],        "title": "string"      }    ],    "maximum_age_seconds": 86400,    "minimum_confidence": 0.7,    "required_sources": [      "code"    ],    "schema_version": "architecture-intent-v1",    "scope": {      "branch_ref": "string",      "environment": "string",      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"    },    "title": "string"  },  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "is_current": false,  "newer_snapshot_id": "655e34e0-d41b-4333-919e-82de5650b962",  "published_number": 0,  "ratification_reason": "string",  "ratified_at": "2019-08-24T14:15:22Z",  "ratified_by": "dbc16b3d-21f4-46d0-8de3-394caf267d8f",  "ratified_by_name": "string",  "ratified_by_role": "admin",  "revision": 0,  "scope_key": "string",  "state": "draft",  "updated_at": "2019-08-24T14:15:22Z"}